/***************************************************************************/
/** @file       Font_Gdi_Raw.h
    @brief      font rendering by gdi
    @author     shom
    @internal
****************************************************************************/

#pragma once

#include "d3dx9core.h"
#include "d3d9types.h"

class crender;

class CFont_Gdi_Raw
{
public:
	CFont_Gdi_Raw();

	void SetDefault();

	void SetPos( u32 in_uPosX, u32 in_uPosY );
	void SetSize( u32 height, u32 width = 0 );
	void SetStyle( b32 b_italic, b32 b_weight, b32 b_use_ansi );

	void Create( LPD3DXFONT* out_ppD3dxFont );

	void Draw(
		const	LPD3DXFONT		p_d3dx_font,
		const	LPCWSTR			sz_msg,
				u32				color		= COLOR_BLACK,
				b32				b_shadow	= FALSE,
		const	LPD3DXSPRITE	p_sprite	= NULL
		);

private:
	u32 m_uPosX, m_uPosY;
	D3DXFONT_DESC m_font_desc;
};
